import codecs
import os

from setuptools import find_packages, setup

# these things are needed for the README.md show on pypi
here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()


VERSION = '1.0.3'
DESCRIPTION = 'A light weight command line menu that supports Windows'
LONG_DESCRIPTION = 'A light weight command line menu. Supporting Windows'

# Setting up
setup(
    name="iyaole",
    version=VERSION,
    author="mortal chen",
    author_email="iyaole@vip.qq.com",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=[
        'getch; platform_system=="windows"'
    ],
    keywords=['python', 'windows'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Microsoft :: Windows",
    ]
)